Skip to main content

Add Document Certification

POST 

/documents/:documentId/certifications

Applies one or more certifications (digital signatures) to a document using one or more certificates. Target determines whether a presigned download is returned, a new version is created, or a new document is created. ; available as an Add-On Module

Request​

Path Parameters

    documentId stringrequired

    Document Identifier

Query Parameters

    siteId string

    Site Identifier

    artifactId string

    Artifact Document Identifier

Body

required

    target DocumentCertificationTarget (string)required

    Type of supported certificate targets

    Possible values: [DOWNLOAD]

    certificates

    object[]

    required

    One or more certificates used to certify/sign the document (in order).

    Possible values: >= 1

  • Array [

  • alias stringrequired

    Certificate alias.

    sourceType DocumentCertificationType (string)

    Type of supported certificate datastores

    Possible values: [AWS_SECRETS_MANAGER]

    awsSecretsManager

    object

    certificateArn stringrequired

    Aws Secrets Manager Certificate ARN

    passwordArn stringrequired

    Aws Secrets Manager Password ARN

  • ]

Responses​

201 CREATED

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    documentId string

    Document identifier (NEW_VERSION / NEW_DOCUMENT).

    url string

    Presigned download URL (DOWNLOAD).

Loading...